Stellarium.exe - Entry Point Not Found

Feedback
Anonymous
2016-12-29
2017-01-01
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2016-12-29

    I've been running Stellarium 0.15.0 on WinXP - SP3 fine, no problem. I installed stellarium-0.15.1-classic-win32.exe, but it fails with these error messages ...

    Stellarium.exe - Entry Point Not Found
    The procedure entry point InitOnceExecuteOnce could not be located in the dynamic link library KERNEL32.dll.

    My KERNEL32.dll file version is 5.1.2600.6532, which seems to be the last one available. I've tried several different modes, but they all fail. There does not appear to be a last run log. I've searched for similar error reports but have found nothing useful. Is this a Stellarium bug?

     
    • waldo kitty

      waldo kitty - 2016-12-29

      On 12/29/2016 03:47 PM, noreply@in.sf.net wrote:

      I've been running Stellarium 0.15.0 on WinXP - SP3 fine, no problem. I
      installed stellarium-0.15.1-classic-win32.exe, but it fails with these error
      messages ...

      Stellarium.exe - Entry Point Not Found
      The procedure entry point InitOnceExecuteOnce could not be located in the
      dynamic link library KERNEL32.dll.

      My KERNEL32.dll file version is 5.1.2600.6532, which seems to be the last one
      available. I've tried several different modes, but they all fail. There
      does not appear to be a last run log. I've searched for similar error
      reports but have found nothing useful. Is this a Stellarium bug?

      sounds more like XP has been dropped as a supported OS since it is long dead and
      no longer supported by m$ anyway... this isn't the first app to do this and it
      won't be the last as the EoL of XP falls further and further into history...

      of course gzottu and Alexander Wolf will know better than i if they have now
      finally dropped support for XP...

       
  • gzotti

    gzotti - 2016-12-29

    Actually the "classic" versions should still run on XP. But I have not seen a living XP system for almost 2 years now to test, not sure about Alex. Maybe it's also a Qt issue, they will not care for a dead OS.

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2016-12-30

    I'm the OP.

    https://launchpad.net/stellarium/+milestone/0.15.1

    says ...

    "stellarium-0.15.1-classic-win32.exe (md5, sig) Stellarium 0.15.1 for Windows (32-bit; Windows XP) based on Qt 5.6.2 (MinGW GCC 4.9.2; OpenGL) with media support. This is classic Windows application with support 3rd-party plugins."

    If the Stellarium developers have "dropped support for XP," then some one of them needs to say so officially and remove "Windows XP" from their download description.

    If the developers were to announce they were dropping support with some major release, say 0.16.0, I would understand, but to do so without warning and in a minor release, while also claiming "new exciting features [and] bug fixes," is a dis-service to Stellarium users. IMO.

     
  • gzotti

    gzotti - 2016-12-30

    Did I write "we dropped support" or did I write "the "classic" versions should still run on XP"?

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2016-12-30

    gzotti wrote "the "classic" versions should still run on XP".
    If that's an official statement, then failing to run on WinXP SP3 is a bug that someone needs to acknowledge and to fix.

     
    • gzotti

      gzotti - 2016-12-30

      Needs to? Why? Do you have a 24/7 support contract?

       
  • Alexander Wolf

    Alexander Wolf - 2016-12-30

    Well, I can test working of "classic" package on Windows XP SP3 only 9 January. It seems we should drop support Windows XP because Qt 5.6 has "Deployment only" support status for Windows XP and Windows Vista.

     
  • gzotti

    gzotti - 2016-12-30

    Well, deployment would be enough, if it works. But Qt5.6 is apparently the last version to support XP, and XP has definitely become a minority program (the classic package has seen about 400 downloads vs. 26000 other Windows downloads). It is hard to test everything though without such a system (or even several different machines). So I am tempted to say "the 0.15 series will be the last to support XP", but this is not an official statement.

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2016-12-30

    I'm the OP ...
    "I am tempted to say "the 0.15 series will be the last to support XP""
    Fair enough.
    If the developers can release a bug fix, I'd happily be the first to test it.

     
    • Alexander Wolf

      Alexander Wolf - 2016-12-31

      I've tried build & run 0.15.1 classic on Windows XP - no success, sorry

       
      • gzotti

        gzotti - 2016-12-31

        That's strange. Qt5.6.1 was used for both builds, right? What may have changed? 0.15.0-classic only is described with audio support, 0.15.1 with video support. Maybe it works with disabled multimedia stuff? (On this platform I hope this does not hurt so much, it is needed in modern settings. Getting Video to work was a pain.)

         
        • Alexander Wolf

          Alexander Wolf - 2017-01-01

          I've found source of troubles - Spout library built for Windows 7+.

           
          • gzotti

            gzotti - 2017-01-01

            Ah yes, sure. OK, just disable this for building classic-32.

             
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2016-12-30

    I've looked at the "Exported Functions List" for the Win 7 kernel32.dll file (6.1.7100.0) and it shows InitOnceExecuteOnce (and other InitOnce ... functions).

    The Windows XP kernel32.dll file (5.1.2600.5512) shows no InitOnce ... functions.

    So if 0.15.1 uses InitOnceExecuteOnce, it should work with Win 7 but not with WinXP.

     
  • Alexander Wolf

    Alexander Wolf - 2017-01-01

    OK, repacked version is available for download.

     
    • Comment has been marked as spam. 
      Undo

      You can see all pending comments posted by this user  here

      Anonymous - 2017-01-01

      I'm the OP ...
      0.15.1.1 classic runs on WinXP!
      Well done! Many thanks to gzotti and Mr. Wolf.
      Now I'll have to play with all the new features!

       
    • gzotti

      gzotti - 2017-01-01

      Thanks Alex!

       


Anonymous

Cancel  Add attachments





Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks